summaryrefslogtreecommitdiff
path: root/src
diff options
context:
space:
mode:
authorJason A. Donenfeld <Jason@zx2c4.com>2014-04-22 13:51:36 +0200
committerJason A. Donenfeld <Jason@zx2c4.com>2014-04-22 13:51:36 +0200
commit07bcfccebfa2f885849f0b8698a496c3c757d8a7 (patch)
tree54a6f9c441f3dbc2223af871d064e00c53c8415e /src
parent91ef9dbbea26573414220073dd92bba4b1d4c94a (diff)
downloadpass-07bcfccebfa2f885849f0b8698a496c3c757d8a7.tar.gz
pass-07bcfccebfa2f885849f0b8698a496c3c757d8a7.tar.bz2
pass-07bcfccebfa2f885849f0b8698a496c3c757d8a7.zip
insert: exit with error if EOF
Diffstat (limited to '')
-rwxr-xr-xsrc/password-store.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/src/password-store.sh b/src/password-store.sh
index 65e76b7..7ea5d4c 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -421,9 +421,9 @@ cmd_insert() {
local password
local password_again
while true; do
- read -r -p "Enter password for $path: " -s password || continue
+ read -r -p "Enter password for $path: " -s password || exit 1
echo
- read -r -p "Retype password for $path: " -s password_again || continue
+ read -r -p "Retype password for $path: " -s password_again || exit 1
echo
if [[ $password == "$password_again" ]]; then
$GPG -e "${GPG_RECIPIENT_ARGS[@]}" -o "$passfile" $GPG_OPTS <<<"$password"
Unicode as expectedRené 'Necoro' Neumann1-2/+2 2010-08-26but not editRené 'Necoro' Neumann1-1/+8 2010-08-26Make add redirect to addRené 'Necoro' Neumann1-1/+1 2010-07-27Add datepicker to add/editRené 'Necoro' Neumann3-3/+23 2010-07-27Fix sizes of datepickerRené 'Necoro' Neumann1-3/+3 2010-07-27Add jQuery UI -- DatepickerRené 'Necoro' Neumann17-0/+1168 2010-07-27Add category manipulation supportRené 'Necoro' Neumann10-6/+85 2010-07-26Konstante KostenRené 'Necoro' Neumann1-1/+1 2010-07-26Added link to edit the constant stuffRené 'Necoro' Neumann1-1/+1 2010-07-26Added addition and modification of constant stuffRené 'Necoro' Neumann3-8/+106 2010-07-05Only show right nav arrow, if the following month is not in the futureRené 'Necoro' Neumann2-14/+20 2010-07-05Add month navigationRené 'Necoro' Neumann6-5/+35 2010-07-05Add iconRené 'Necoro' Neumann2-1/+2 2010-07-05change cursorRené 'Necoro' Neumann1-0/+5 2010-07-05Some restructuringRené 'Necoro' Neumann3-28/+45 2010-07-05Closed/Open imagesRené 'Necoro' Neumann4-0/+146 2010-05-25Move page templates into their own folderRené 'Necoro' Neumann5-5/+7 2010-05-25Added the ability to edit an expenseRené 'Necoro' Neumann3-9/+34 2010-05-12FixRené 'Necoro' Neumann1-2/+2 2010-05-12Show more detailsRené 'Necoro' Neumann4-19/+42 2010-05-12Create new form each timeRené 'Necoro' Neumann1-24/+26 2010-05-10Fix redirect in AddRené 'Necoro' Neumann1-1/+1 2010-05-10Added the 'add expense' stuffRené 'Necoro' Neumann4-3/+69